package com.aucma.base.service;

import com.aucma.base.domain.ProcessDocument;

import java.util.List;

/**
 * 工艺文档Service接口
 *
 * @author Yinq
 * @date 2025-12-30
 */
public interface IProcessDocumentService {
    public ProcessDocument selectProcessDocumentByDocId(Long docId);
    public List<ProcessDocument> selectProcessDocumentList(ProcessDocument processDocument);
    public int insertProcessDocument(ProcessDocument processDocument);
    public int updateProcessDocument(ProcessDocument processDocument);
    public int deleteProcessDocumentByDocIds(Long[] docIds);
    public int deleteProcessDocumentByDocId(Long docId);
}
